/* We need to change some column names to not clash with SQL reserved words. */
ALTER TABLE DHCP_ADDRESS_RANGE ALTER COLUMN START TO START_IP;
ALTER TABLE DHCP_ADDRESS_RANGE ALTER COLUMN STOP TO STOP_IP;

ALTER TABLE DHCP_EXC_ADDR_RANGE ALTER COLUMN START TO START_IP;
ALTER TABLE DHCP_EXC_ADDR_RANGE ALTER COLUMN STOP TO STOP_IP;

ALTER TABLE DHCP_OPTION_ATTR4 ALTER COLUMN CLASS TO OCLASS;

ALTER TABLE DHCP_OPTION_ATTR6 ALTER COLUMN CLASS TO OCLASS;

ALTER TABLE DHCP_APOOLS4 DROP CONSTRAINT FK_APOOLS4_RANGE;
ALTER TABLE DHCP_APOOLS4 ALTER COLUMN RANGE TO ADDR_RANGE;
ALTER TABLE DHCP_APOOLS4 ALTER COLUMN RANGE_CL TO ADDR_RANGE_CL;
ALTER TABLE DHCP_APOOLS4 ADD CONSTRAINT FK_APOOLS4_RANGE FOREIGN KEY (ADDR_RANGE) REFERENCES DHCP_ADDRESS_RANGE (PK);

ALTER TABLE DHCP_APOOLS6 DROP CONSTRAINT FK_APOOLS6_RANGE;
ALTER TABLE DHCP_APOOLS6 ALTER COLUMN RANGE TO ADDR_RANGE;
ALTER TABLE DHCP_APOOLS6 ALTER COLUMN RANGE_CL TO ADDR_RANGE_CL;
ALTER TABLE DHCP_APOOLS6 ADD CONSTRAINT FK_APOOLS6_RANGE FOREIGN KEY (ADDR_RANGE) REFERENCES DHCP_ADDRESS_RANGE (PK);

ALTER TABLE WSI_KEYVALUES4 ALTER COLUMN CLASS TO KCLASS;

ALTER TABLE WSI_KEYVALUES6 ALTER COLUMN CLASS TO KCLASS;

ALTER TABLE WSI_DOMAINS DROP CONSTRAINT PK_DOMAINS_COMPOUND_UNIQUE;
ALTER TABLE WSI_DOMAINS ALTER COLUMN CLASS TO DCLASS;
ALTER TABLE WSI_DOMAINS ADD CONSTRAINT PK_DOMAINS_COMPOUND_UNIQUE UNIQUE (NAME,DCLASS);

ALTER TABLE WSI_ACCOUNTS DROP CONSTRAINT PK_ACCOUNTS_COMPOUND_UNIQUE;
ALTER TABLE WSI_ACCOUNTS ALTER COLUMN CLASS TO ACLASS;
ALTER TABLE WSI_ACCOUNTS ADD CONSTRAINT PK_ACCOUNTS_COMPOUND_UNIQUE UNIQUE (NAME,ACLASS);