ALTER TABLE DHCP_AFBINDINGS4 ADD LEASE_EXPIRE_TIME TIME_T;

ALTER TABLE DHCP_OPTION_ATTR4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_OPTION_ATTR6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_VENDOR_ATTR4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_VENDOR_ATTR6 ADD MOD_TIME TIME_T;

ALTER TABLE WSI_KEYVALUES ADD MOD_TIME TIME_T;
ALTER TABLE TFTP_POLICY ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_ABINDINGS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_ABINDINGS6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_NBINDINGS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_NBINDINGS6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_APOOLS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_APOOLS6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_NPOOLS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_NPOOLS6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_POLICIES4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_POLICIES6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_APOOL_MARKS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_APOOL_MARKS6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_NPOOL_MARKS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_NPOOL_MARKS6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_APENDINGS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_APENDINGS6 ADD MOD_TIME TIME_T;

ALTER TABLE DHCP_NPENDINGS4 ADD MOD_TIME TIME_T;
ALTER TABLE DHCP_NPENDINGS6 ADD MOD_TIME TIME_T;


ALTER TABLE WSI_DOMAINS ADD MOD_TIME TIME_T;
ALTER TABLE WSI_DOMAIN_GROUPS ADD MOD_TIME TIME_T;

ALTER TABLE WSI_ACCESS_CONTROL ADD MOD_TIME TIME_T;

ALTER TABLE WSI_DOMAIN_ID ALTER COLUMN SRC_PK TYPE PK_TYPE;

CREATE DOMAIN ID_TYPE AS BIGINT;

ALTER TABLE WSI_ACCOUNTS DROP CONSTRAINT PK_ACCOUNTS_UNIQUE_ACCESS_ID;
ALTER TABLE WSI_DOMAINS DROP CONSTRAINT PK_DOMAINS_UNIQUE_DOM_ID;
ALTER TABLE WSI_ACCESS_CONTROL DROP CONSTRAINT PK_COMPOUND_UNIQUE_DOM_ID_AID;

ALTER TABLE WSI_ACCOUNTS ALTER COLUMN ID TYPE ID_TYPE;
ALTER TABLE WSI_ACCOUNTS ALTER COLUMN ID TO OID;

ALTER TABLE WSI_DOMAINS ALTER COLUMN ID TYPE ID_TYPE;
ALTER TABLE WSI_DOMAINS ALTER COLUMN ID TO OID;

ALTER TABLE WSI_DOMAIN_GROUPS ALTER COLUMN ID TYPE ID_TYPE;
ALTER TABLE WSI_DOMAIN_GROUPS ALTER COLUMN ID TO OID;

ALTER TABLE WSI_DOMAIN_NAME_ID ALTER COLUMN ID TO DOMAIN_ID;
ALTER TABLE WSI_DOMAIN_NAME_ID ALTER COLUMN DOMAIN_ID TYPE ID_TYPE;
ALTER TABLE WSI_DOMAIN_ID ALTER COLUMN DOMAIN_ID TYPE ID_TYPE;
ALTER TABLE WSI_ACCESS_CONTROL ALTER COLUMN DOMAIN_ID TYPE ID_TYPE;
ALTER TABLE WSI_ACCESS_CONTROL ALTER COLUMN ACCESS_ID TYPE ID_TYPE;

ALTER TABLE WSI_ACCOUNTS ADD CONSTRAINT PK_ACCOUNTS_UNIQUE_ID UNIQUE (OID);
ALTER TABLE WSI_DOMAINS ADD CONSTRAINT PK_DOMAINS_UNIQUE_ID UNIQUE (OID);
ALTER TABLE WSI_DOMAIN_GROUPS ADD CONSTRAINT PK_DG_UNIQUE_ID UNIQUE (OID);
ALTER TABLE WSI_DOMAIN_NAME_ID ADD CONSTRAINT PK_DNID_UNIQUE_ID UNIQUE (DOMAIN_ID);
ALTER TABLE WSI_ACCESS_CONTROL ADD CONSTRAINT PK_COMPOUND_UNIQUE_DOM_ID_AID UNIQUE (ACCESS_ID,DOMAIN_ID);

DROP DOMAIN DOM_ID_TYPE;
DROP DOMAIN ACCESS_ID_TYPE;

ALTER TABLE WSI_DOMAIN_ID ALTER COLUMN SRC_PK TYPE PK_TYPE;

ALTER TABLE DHCP_OPTION_ATTR4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_OPTION_ATTR6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_VENDOR_ATTR4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_VENDOR_ATTR6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE WSI_KEYVALUES ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE TFTP_POLICY ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_ABINDINGS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_ABINDINGS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NBINDINGS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NBINDINGS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_AFBINDINGS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_APOOLS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_APOOLS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NPOOLS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NPOOLS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE WSI_ACCESS_CONTROL ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_POLICIES4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_POLICIES6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_APOOL_MARKS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_APOOL_MARKS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NPOOL_MARKS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NPOOL_MARKS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_PKTS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_PKTS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_APENDINGS4 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_APENDINGS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NPENDINGS6 ADD OID ID_TYPE NOT NULL UNIQUE;
ALTER TABLE DHCP_NPENDINGS4 ADD OID ID_TYPE NOT NULL UNIQUE;