spec_description=DOCSIS 3.0 TLVs

tagpath=17/2/1
type=16bit
vendor_id=4491
signed=false
arrayed=true
user_definable=disallowed
name=ORO
description=Used to request options from this server. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.1)
class=Standard Cablelabs

tagpath=17/2/2
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=DEVICE_TYPE
description=Identifies the type of device communicating with the DHCP server. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.2)
class=Standard Cablelabs

tagpath=17/2/3
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=EMBEDDED_COMPONENTS_LIST
description=Colon-separated list of eCM and eSAFE(s) embedded in the eDOCSIS device. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.3)
class=Standard Cablelabs

tagpath=17/2/4
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=DEVICE_SERIAL_NUMBER
description=Device serial number as in the MIB object docsDevSerialNumber. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.4)
class=Standard Cablelabs

tagpath=17/2/5
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=HARDWARE_VERSION_NUMBER
description=The device's hardware version number. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.5)
class=Standard Cablelabs

tagpath=17/2/6
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=SOFTWARE_VERSION_NUMBER
description=The device's software version number. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.6)
class=Standard Cablelabs

tagpath=17/2/7
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=BOOT_ROM_VERSION
description=The device's boot ROM version number. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.7)
class=Standard Cablelabs

tagpath=17/2/8
type=byte_sequence
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=VENDOR_OUI
description=A six byte vendor Organization Unique Identifier. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.8)
class=Standard Cablelabs

tagpath=17/2/9
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=MODEL_NUMBER
description=The model number of the device. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.9)
class=Standard Cablelabs

tagpath=17/2/10
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=VENDOR_NAME
description=The name of the device manufacturer. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.10)
class=Standard Cablelabs

tagpath=17/2/32
type=ipaddress
vendor_id=4491
signed=false
arrayed=true
user_definable=allowed
name=TFTP_SERVERS
description=A list of TFTP server addresses in preferential order. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.11)
class=Standard Cablelabs

tagpath=17/2/33
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=CONFIG_FILE_NAME
description=The name of the device configuration file. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.12)
class=Standard Cablelabs

tagpath=17/2/34
type=ipaddress
vendor_id=4491
signed=false
arrayed=true
user_definable=allowed
name=SYSLOG_SERVERS
description=A list of Syslog server addresses in preferential order. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.13)
class=Standard Cablelabs

tagpath=17/2/35
type=8bit
vendor_id=4491
signed=false
arrayed=true
user_definable=allowed
name=TLV5
description=An encoded set of TLV5 modem capabilities. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.14)
class=Standard Cablelabs

tagpath=17/2/36
type=byte_sequence
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=DEVICE_ID
description=The MAC address the device should use. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.15)
class=Standard Cablelabs

tagpath=17/2/37
type=ipaddress
vendor_id=4491
signed=false
arrayed=true
user_definable=allowed
name=RFC868_SERVER
description=A list of RFC-868 time servers in preferential order. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.16)
class=Standard Cablelabs

tagpath=17/2/38
type=32bit
vendor_id=4491
signed=true
arrayed=false
user_definable=allowed
name=TIME_OFFSET
description=The offset in seconds from UTC that the device should use to calculate local time. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.2.17)
class=Standard Cablelabs

tagpath=17/2/1025
type=subencoded
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
subtag_width=1
sublen_width=1
name=DOCS_CMTS_CAP
description=Carries information about the capabilities of the CMTS through which the device is connecting. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.4.1.2)
class=Standard Cablelabs

tagpath=17/2/1025/1
type=8bit
vendor_id=4491
signed=false
arrayed=true
user_definable=disallowed
name=DOCS_CMTS_VERSION_NUMBER
description=Carries the DOCSIS version number that the CMTS is compatible with. The first byte is the major version number, the second is the minor version number. Carries information about the capabilities of the CMTS through which the device is connecting. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.4.1.2.1)
class=Standard Cablelabs

tagpath=17/2/1026
type=byte_sequence
vendor_id=4491
signed=false
arrayed=true
user_definable=disallowed
name=CM_MAC_ADDR
description=Carries the MAC address of the CM through which the device is communicating. (CL-SP-CANN-DHCP-Reg-I01-070119, 5.4.1.2.2)
class=Standard Cablelabs
