spec_name=COLLECTIONS SQL FB1
spec_description=A set of SQL SELECT statements for implementing collections in Firebird 1.x

name=link2many.src.ref_name
group=link
arg_names=SRC_ATTR_REF,SRC_ATTR_NAME
arg_types=[__DB_TYPE_INT64__],[__DB_TYPE_STRING__]
statement=SELECT * FROM <<TABLE>> WHERE (SRC_ATTR_REF = ? AND SRC_ATTR_NAME = ?)
description=Select all members associated with source one-to-many collection
precompile=true
cursor_num=1000

name=bilink.src.ref_name
group=bilink
arg_names=BI_SRC_REF,SRC_ATTR_NAME
arg_types=[__DB_TYPE_INT64__],[__DB_TYPE_STRING__]
statement=SELECT * FROM <<TABLE>> WHERE (BI_SRC_REF = ? AND SRC_ATTR_NAME = ?)
description=Select all members associated with source many-to-many bi-link collection
precompile=true
cursor_num=1001

name=bilink.dest.ref_name
group=bilink
arg_names=BI_DEST_REF,DEST_ATTR_NAME
arg_types=[__DB_TYPE_INT64__],[__DB_TYPE_STRING__]
statement=SELECT * FROM <<TABLE>> WHERE (BI_DEST_REF = ? AND DEST_ATTR_NAME = ?)
description=Select all members associated with dest many-to-many bi-link collection
precompile=true
cursor_num=1002
